### Method

# GdkPixbuf.Pixbuf.read_pixels

#### Declaration [src]

    const guint8*
    gdk_pixbuf_read_pixels (
      const GdkPixbuf* pixbuf
    )

#### Description [src]

Provides a read-only pointer to the raw pixel data.

This function allows skipping the implicit copy that must be made if `gdk_pixbuf_get_pixels()` is called on a read-only pixbuf.

#### Return value

Returns: `const guint8*`
a read-only pointer to the raw pixel data
Ownership is not transferred to the caller